package com.mortals.xhx.modules.data.model;

import java.util.List;

/**
*
* Description:DataArea
* date: 2021-8-10 13:57:03
*/
public class DataAreaQuery extends DataAreaEntity{
    private static final long serialVersionUID = 1628575023258L;

    /** 主键ID */
    private List<String> idList;

    /** 地区名称 */
    private List<String> areaNameList;

    /** 地区简称 */
    private List<String> areaSimpleNameList;

    /** 上级地区ID */
    private List<String> parentAreaIdList;

    /** 行政区域代码             行政区域代码              */
    private List<String> areaCodeList;

    /** 删除标识 */
    private List<String> deleteFlagList;

    /** 创建人 */
    private List<String> creatorIdList;

    /** 创建人名称 */
    private List<String> creatorNameList;

    /** 创建时间 */
    private List<String> createTimesList;

    /** 更新时间 */
    private List<String> updateTimesList;

    /** 1省级，2市级，3区县级，4乡镇级，5村 */
    private List<String> areaLevelList;

    /** 排序 */
    private List<String> sortKeyList;

    /** 地区层级编码 */
    private List<String> areaLevelCodeList;

    /** 临时使用确认地区层级 */
    private List<String> submitAreaLevelList;

    /** 是否特殊区域：0.否，1.是 */
    private List<String> isSpecialList;

    /** 行政区域描述 */
    private List<String> areaDescList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DataAreaQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DataAreaQuery> andConditionList;


    public DataAreaQuery(){
    }

    /**
    * 获取 主键ID
    * @return idList
    */
    public List<String> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID
    * @param idList
    */
    public void setIdList(List<String> idList){
        this.idList = idList;
    }
    /**
    * 获取 地区名称
    * @return areaNameList
    */
    public List<String> getAreaNameList(){
        return this.areaNameList;
    }

    /**
    * 设置 地区名称
    * @param areaNameList
    */
    public void setAreaNameList(List<String> areaNameList){
        this.areaNameList = areaNameList;
    }
    /**
    * 获取 地区简称
    * @return areaSimpleNameList
    */
    public List<String> getAreaSimpleNameList(){
        return this.areaSimpleNameList;
    }

    /**
    * 设置 地区简称
    * @param areaSimpleNameList
    */
    public void setAreaSimpleNameList(List<String> areaSimpleNameList){
        this.areaSimpleNameList = areaSimpleNameList;
    }
    /**
    * 获取 上级地区ID
    * @return parentAreaIdList
    */
    public List<String> getParentAreaIdList(){
        return this.parentAreaIdList;
    }

    /**
    * 设置 上级地区ID
    * @param parentAreaIdList
    */
    public void setParentAreaIdList(List<String> parentAreaIdList){
        this.parentAreaIdList = parentAreaIdList;
    }
    /**
    * 获取 行政区域代码             行政区域代码             
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 行政区域代码             行政区域代码             
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
    * 获取 删除标识
    * @return deleteFlagList
    */
    public List<String> getDeleteFlagList(){
        return this.deleteFlagList;
    }

    /**
    * 设置 删除标识
    * @param deleteFlagList
    */
    public void setDeleteFlagList(List<String> deleteFlagList){
        this.deleteFlagList = deleteFlagList;
    }
    /**
    * 获取 创建人
    * @return creatorIdList
    */
    public List<String> getCreatorIdList(){
        return this.creatorIdList;
    }

    /**
    * 设置 创建人
    * @param creatorIdList
    */
    public void setCreatorIdList(List<String> creatorIdList){
        this.creatorIdList = creatorIdList;
    }
    /**
    * 获取 创建人名称
    * @return creatorNameList
    */
    public List<String> getCreatorNameList(){
        return this.creatorNameList;
    }

    /**
    * 设置 创建人名称
    * @param creatorNameList
    */
    public void setCreatorNameList(List<String> creatorNameList){
        this.creatorNameList = creatorNameList;
    }
    /**
    * 获取 创建时间
    * @return createTimesList
    */
    public List<String> getCreateTimesList(){
        return this.createTimesList;
    }

    /**
    * 设置 创建时间
    * @param createTimesList
    */
    public void setCreateTimesList(List<String> createTimesList){
        this.createTimesList = createTimesList;
    }
    /**
    * 获取 更新时间
    * @return updateTimesList
    */
    public List<String> getUpdateTimesList(){
        return this.updateTimesList;
    }

    /**
    * 设置 更新时间
    * @param updateTimesList
    */
    public void setUpdateTimesList(List<String> updateTimesList){
        this.updateTimesList = updateTimesList;
    }
    /**
    * 获取 1省级，2市级，3区县级，4乡镇级，5村
    * @return areaLevelList
    */
    public List<String> getAreaLevelList(){
        return this.areaLevelList;
    }

    /**
    * 设置 1省级，2市级，3区县级，4乡镇级，5村
    * @param areaLevelList
    */
    public void setAreaLevelList(List<String> areaLevelList){
        this.areaLevelList = areaLevelList;
    }
    /**
    * 获取 排序
    * @return sortKeyList
    */
    public List<String> getSortKeyList(){
        return this.sortKeyList;
    }

    /**
    * 设置 排序
    * @param sortKeyList
    */
    public void setSortKeyList(List<String> sortKeyList){
        this.sortKeyList = sortKeyList;
    }
    /**
    * 获取 地区层级编码
    * @return areaLevelCodeList
    */
    public List<String> getAreaLevelCodeList(){
        return this.areaLevelCodeList;
    }

    /**
    * 设置 地区层级编码
    * @param areaLevelCodeList
    */
    public void setAreaLevelCodeList(List<String> areaLevelCodeList){
        this.areaLevelCodeList = areaLevelCodeList;
    }
    /**
    * 获取 临时使用确认地区层级
    * @return submitAreaLevelList
    */
    public List<String> getSubmitAreaLevelList(){
        return this.submitAreaLevelList;
    }

    /**
    * 设置 临时使用确认地区层级
    * @param submitAreaLevelList
    */
    public void setSubmitAreaLevelList(List<String> submitAreaLevelList){
        this.submitAreaLevelList = submitAreaLevelList;
    }
    /**
    * 获取 是否特殊区域：0.否，1.是
    * @return isSpecialList
    */
    public List<String> getIsSpecialList(){
        return this.isSpecialList;
    }

    /**
    * 设置 是否特殊区域：0.否，1.是
    * @param isSpecialList
    */
    public void setIsSpecialList(List<String> isSpecialList){
        this.isSpecialList = isSpecialList;
    }
    /**
    * 获取 行政区域描述
    * @return areaDescList
    */
    public List<String> getAreaDescList(){
        return this.areaDescList;
    }

    /**
    * 设置 行政区域描述
    * @param areaDescList
    */
    public void setAreaDescList(List<String> areaDescList){
        this.areaDescList = areaDescList;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DataAreaQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DataAreaQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DataAreaQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DataAreaQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}